package com.ruoyi.ss.device.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author 辉
 * 2024/3/7
 */
@Data
public class SmDeviceDto extends SmDevice {

    @ApiModelProperty("租户id")
    private Long tenantId;

    @ApiModelProperty("是否默认设备")
    private Boolean isDefault;

    @ApiModelProperty("租户名称")
    private String tenantName;

    @ApiModelProperty("设备id列表")
    private List<Long> deviceIds;

    @ApiModelProperty("型号列表")
    private List<Long> modelIds;

    @ApiModelProperty("分组名称")
    private String groupName;

    @ApiModelProperty("型号")
    private String model;

    @ApiModelProperty("所属房东名称")
    private String userName;

    @ApiModelProperty("是否已绑定用户")
    private Boolean isBind;
}
