package com.ruoyi.ss.device.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * 设备状态
 * @author wjh
 * 2024/3/25
 */
@AllArgsConstructor
@Getter
public enum DeviceStatus {

    ARREARS_OFF("1", "欠费断电"),
    ARREARS("2", "欠费"),
    NORMAL("3", "正常");

    private final String status;
    private final String msg;

    public static DeviceStatus parse(String status) {
        for (DeviceStatus obj : DeviceStatus.values()) {
            if (Objects.equals(obj.getStatus(), status)) {
                return obj;
            }
        }
        throw new RuntimeException("不存在值为" + status + "的状态");
    }
}
