package com.ruoyi.ss.device.service;


import com.ruoyi.ss.device.domain.SmDevice;
import com.ruoyi.ss.device.domain.SmDeviceVo;

import java.util.List;

/**
 * 设备信息组装员
 * @author wjh
 * 2024/4/13
 */
public interface DeviceAssembler {

    /**
     * 拼接租户信息
     * @param list
     */
    void assembleTenant(List<SmDeviceVo> list);

    /**
     * 设置设备分组
     * @param device
     */
    void setGroup(SmDevice device);

}
