package com.ruoyi.ss.deviceGroup.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备分组对象 sm_device_group
 *
 * @author 邱贞招
 * @date 2024-02-21
 */
@Data
public class SmDeviceGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty("分组id")
    private Long groupId;

    /** 分组名称 */
    @Excel(name = "分组名称")
    @ApiModelProperty("分组名称")
    private String groupName;

    /** 用户 */
    @Excel(name = "用户")
    @ApiModelProperty("用户id")
    private Long userId;

    /** 设备排序 */
    @ApiModelProperty("设备排序，越小越靠前")
    private Integer groupSort;

    @ApiModelProperty("是否默认")
    private Boolean isDefault;
}
