package com.ruoyi.ss.model.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 型号列表对象 sm_model
 *
 * @author 邱贞招
 * @date 2024-02-21
 */
public class SmModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 型号id */
    private Long modelId;

    /** 型号名称 */
    @Excel(name = "型号名称")
    private String modelName;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 图片 */
    @Excel(name = "图片")
    private String picture;

    /** 识别码 */
    @Excel(name = "识别码")
    private String idCode;

    /** 硬件版本 */
    @Excel(name = "硬件版本")
    private Long versionId;

    /** 产品介绍 */
    @Excel(name = "产品介绍")
    private String introduce;

    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId()
    {
        return modelId;
    }
    public void setModelName(String modelName)
    {
        this.modelName = modelName;
    }

    public String getModelName()
    {
        return modelName;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setPicture(String picture)
    {
        this.picture = picture;
    }

    public String getPicture()
    {
        return picture;
    }
    public void setIdCode(String idCode)
    {
        this.idCode = idCode;
    }

    public String getIdCode()
    {
        return idCode;
    }
    public void setVersionId(Long versionId)
    {
        this.versionId = versionId;
    }

    public Long getVersionId()
    {
        return versionId;
    }
    public void setIntroduce(String introduce)
    {
        this.introduce = introduce;
    }

    public String getIntroduce()
    {
        return introduce;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("modelId", getModelId())
            .append("modelName", getModelName())
            .append("model", getModel())
            .append("picture", getPicture())
            .append("idCode", getIdCode())
            .append("versionId", getVersionId())
            .append("introduce", getIntroduce())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
