package com.ruoyi.ss.device.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author wjh
 * 2024/3/15
 */
@Data
public class SmDeviceVo extends SmDevice {
    @ApiModelProperty("是否默认")
    private Boolean isDefault;    // 是否默认

    @ApiModelProperty("租户id列表")
    private List<Long> tenantIds;   // 租户id列表

    @ApiModelProperty("分组名称")
    private String groupName;

    @ApiModelProperty("型号")
    private String model;

    @ApiModelProperty("房东名称")
    private String userName;

    @ApiModelProperty("图片")
    private String picture;
}
