package com.ruoyi.ss.resetRecord.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 归零记录对象 sm_reset_record
 *
 * @author ruoyi
 * @date 2024-04-01
 */
@Data
public class SmResetRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 设备id */
    @Excel(name = "设备id")
    @ApiModelProperty("设备id")
    private Long deviceId;

    /** 归零时剩余电量 */
    @Excel(name = "归零时剩余电量")
    @ApiModelProperty("归零时剩余电量")
    private BigDecimal surplusElectriQuantity;

    /** 房东id */
    @Excel(name = "房东id")
    @ApiModelProperty("房东id")
    private Long landlordId;

    @Excel(name = "归零时总用电量")
    @ApiModelProperty("归零时总用电量")
    private BigDecimal totalElectriQuantity;
}
